---
title: Animation.finished
slug: Web/API/Animation/finished
tags:
  - API
  - Animation
  - Experimental
  - Property
  - Reference
  - Web Animations
  - finished
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</p>

<p>The <code><strong>Animation</strong></code><strong><code>.finished</code></strong> read-only property of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> returns a {{jsxref("Promise")}} which resolves once the animation has finished playing.</p>

<div class="note">
<p>Every time the animation leaves the <code>finished</code> play state (that is, when it starts playing again), a new <code>Promise</code> is created for this property. The new <code>Promise</code> will resolve once the new animation sequence has completed.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>animationsPromise</em> = <em>Animation.</em>finished;
</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Promise")}} object which will resolve once the animation has finished running.</p>

<h2 id="Examples">Examples</h2>

<p>The following code waits until all animations running on the element <code>elem</code> have finished, then deletes the element from the DOM tree:</p>

<pre class="brush: js">Promise.all(
  elem.getAnimations().map(
    function(animation) {
      return animation.finished
    }
  )
).then(
  function() {
    return elem.remove();
  }
);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-finished', 'Animation.finished' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.finished")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li>{{domxref("KeyframeEffect")}}</li>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}}</li>
</ul>
